List members

Retrieves a paginated list of members from your workspace. Members represent users who have access to your Productboard workspace.

  • Members are sorted by creation date, oldest first.
  • Use the query parameter to search by name or email (case-insensitive, partial match).
  • Use the roles[] parameter to filter by role(s). Multiple roles use OR logic (e.g., roles[]=admin&roles[]=maker).
  • Use the includeDisabled parameter to include disabled members in the response.
  • Use the includeInvited parameter to include invited members with pending invitations.
  • Use the pageCursor parameter to paginate through results.

Without the members:pii:read OAuth scope, PII fields (name, username, email) are returned as [redacted].

Query Params
string

Cursor for pagination.

string
length between 1 and 255

Full-text search query. Performs case-insensitive partial match on member name or email.

roles[]
array of strings

Filter members by role(s). Use multiple roles[] parameters to match members with any of the specified roles (OR logic).

Examples:

  • Single role: roles[]=admin
  • Multiple roles: roles[]=admin&roles[]=maker
roles[]
boolean
Defaults to false

Include disabled members in the response. By default, disabled members are excluded.

boolean
Defaults to false

Include members with pending invitations in the response. By default, members with pending invitations are excluded.

boolean
Defaults to false
deprecated

Deprecated: Use includeInvitationPending instead. Include members with pending invitations in the response. By default, members with pending invitations are excluded.

Responses

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json